Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 3901)
@@ -194,4 +194,9 @@
    sn_ubl  = 'dyna_grid_U' ,    120            , 'sobblcox' ,  .true.    , .true. ,   'yearly'  , ''       , ''
    sn_vbl  = 'dyna_grid_V' ,    120            , 'sobblcoy' ,  .true.    , .true. ,   'yearly'  , ''       , ''
+   sn_ahu  = 'dyna_grid_U' ,    120            , 'vozoahtu' ,  .true.    , .true. ,   'yearly'  , ''       , ''
+   sn_ahv  = 'dyna_grid_V' ,    120            , 'vomeahtv' ,  .true.    , .true. ,   'yearly'  , ''       , ''
+   sn_ahw  = 'dyna_grid_W' ,    120            , 'voveahtz' ,  .true.    , .true. ,   'yearly'  , ''       , ''
+   sn_eiu  = 'dyna_grid_U' ,    120            , 'vozoaeiu' ,  .true.    , .true. ,   'yearly'  , ''       , '' 
+   sn_eiv  = 'dyna_grid_V' ,    120            , 'vomeaeiv' ,  .true.    , .true. ,   'yearly'  , ''       , ''
    sn_eiw  = 'dyna_grid_W' ,    120            , 'soleaeiw' ,  .true.    , .true. ,   'yearly'  , ''       , ''
 !
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_c14b_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_c14b_ref	(revision 3901)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_c14b_ref	(revision 3901)
@@ -0,0 +1,19 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! Bomb C14  :       1  - dates                             (namc14date)
+!! namelists    
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namc14date     !   dates
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ndate_beg_b  = 650101    !  datedeb1
+   nyear_res_b  = 1955      !  iannee1
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namc14dia     !   additional 2D/3D tracers diagnostics ("key_trc_diaadd")
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!              !    name   !           title of the field          !     units      !
+!              !           !                                       !                !
+   c14dia2d(1)  = 'qtr_c14  ' , 'Air-sea flux                      ',  'mol/m2/s    '
+   c14dia2d(2)  = 'qint_c14 ' , 'Cumulative air-sea flux           ',  'mol/m2      '
+   c14dia3d(1)  = 'decay    ' , 'Radiactive decay                  ',  'mol/m3      '
+/
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref	(revision 3901)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref	(revision 3901)
@@ -0,0 +1,18 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! CFC  :       1  - dates                                 (namcfcdate)
+!! namelists    
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namcfcdate     !   dates
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ndate_beg  = 300101    !  datedeb1
+   nyear_res  = 1932      !  iannee1
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namcfcdia     !   additional 2D/3D tracers diagnostics 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!              !    name   !           title of the field          !     units      !
+!              !           !                                       !                !
+   cfcdia2d(1)  = 'qtr_c11 ' , 'Air-sea flux of CFC-11           ',  'mol/m2/s    '
+   cfcdia2d(2)  = 'qint_c11' , 'Cumulative air-sea flux of CFC-11 ', 'mol/m2      '
+/
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 3901)
@@ -529,4 +529,5 @@
    rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case)
    rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m2/s2)
+   rn_bfrz0    =    3.e-3  ! bottom roughness for loglayer bfr coeff 
    ln_bfr2d    = .false.   !  horizontal variation of the bottom friction coef (read a 2D mask file )
    rn_bfrien   =    50.    !  local multiplying factor of bfr (ln_bfr2d=T)
@@ -604,4 +605,8 @@
    rn_ahtb_0        =     0.    !  background eddy diffusivity for ldf_iso [m2/s]
    !                                           (normally=0; not used with Griffies)
+   rn_slpmax        =     0.01  !  slope limit
+   rn_chsmag        =     1.    !  multiplicative factor in Smagorinsky diffusivity
+   rn_smsh          =     1.    !  Smagorinsky diffusivity: = 0 - use only sheer
+   rn_aht_m         =  2000.    !  upper limit or stability criteria for lateral eddy diffusivity (m2/s)
 /
 !-----------------------------------------------------------------------
@@ -678,4 +683,9 @@
    rn_ahmb_0        =     0.    !  background eddy viscosity for ldf_iso [m2/s]
    rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s]
+   rn_cmsmag_1      =     3.    !  constant in laplacian Smagorinsky viscosity
+   rn_cmsmag_2      =     3     !  constant in bilaplacian Smagorinsky viscosity
+   rn_cmsh          =     1.    !  1 or 0 , if 0 -use only shear for Smagorinsky viscosity
+   rn_ahm_m_blp     =    -1.e12 !  upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
+   rn_ahm_m_lap     = 40000.    !  upper limit for lap  ahm < min(dx^2/16rdt, rn_ahm_m_lap)
 /
 
@@ -728,4 +738,5 @@
    rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
    rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   rn_bshear   =   1.e-20  ! background shear (>0) currently a numerical threshold (do not change it)
    nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
                            !                 = 1 bounded by the local vertical scale factor
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 3901)
@@ -98,3 +98,4 @@
    ln_diatrc     =  .true.   !  save additional diag. (T) or not (F)
    nn_writedia   =  5475     !  time step frequency for diagnostics
+   nn_writebio   =    10     !: frequency of biological outputs
 /
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90	(revision 3901)
@@ -22,33 +22,33 @@
    REAL(wp), PUBLIC ::   rdt_ice      !: ice time step
 
-   !                                                                     !!* namicerun read in iceini  *
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in  = "restart_ice_in"   !: suffix of ice restart name (input)
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out = "restart_ice"      !: suffix of ice restart name (output)
-   LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
-   LOGICAL               , PUBLIC ::   ln_limdmp     = .FALSE.            !: Ice damping
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag grid points output (T) or not (F)
-   REAL(wp)              , PUBLIC ::   hsndif        = 0._wp              !: snow temp. computation (0) or not (9999)
-   REAL(wp)              , PUBLIC ::   hicdif        = 0._wp              !: ice  temp. computation (0) or not (9999)
-   REAL(wp), DIMENSION(2), PUBLIC ::   acrit = (/ 1.e-6_wp , 1.e-6_wp /)  !: minimum lead fraction in the 2 hemisphere
-   
-   !                                          !!* ice-dynamic namelist (namicedyn) *
-   INTEGER , PUBLIC ::   nbiter =    1         !: number of sub-time steps for relaxation
-   INTEGER , PUBLIC ::   nbitdr =  250         !: maximum number of iterations for relaxation
-   INTEGER , PUBLIC ::   nevp   =  360         !: number of EVP subcycling iterations
-   INTEGER , PUBLIC ::   telast = 3600         !: timescale for EVP elastic waves
-   REAL(wp), PUBLIC ::   epsd   = 1.0e-20_wp   !: tolerance parameter for dynamic
-   REAL(wp), PUBLIC ::   alpha  = 0.5_wp       !: coefficient for semi-implicit coriolis
-   REAL(wp), PUBLIC ::   dm     = 0.6e+03_wp   !: diffusion constant for dynamics
-   REAL(wp), PUBLIC ::   om     = 0.5_wp       !: relaxation constant
-   REAL(wp), PUBLIC ::   resl   = 5.0e-05_wp   !: maximum value for the residual of relaxation
-   REAL(wp), PUBLIC ::   cw     = 5.0e-03_wp   !: drag coefficient for oceanic stress
-   REAL(wp), PUBLIC ::   angvg  = 0._wp        !: turning angle for oceanic stress
-   REAL(wp), PUBLIC ::   pstar  = 1.0e+04_wp   !: first bulk-rheology parameter
-   REAL(wp), PUBLIC ::   c_rhg  = 20._wp       !: second bulk-rhelogy parameter
-   REAL(wp), PUBLIC ::   etamn  = 0._wp        !: minimun value for viscosity
-   REAL(wp), PUBLIC ::   creepl = 2.e-08_wp    !: creep limit
-   REAL(wp), PUBLIC ::   ecc    = 2._wp        !: eccentricity of the elliptical yield curve
-   REAL(wp), PUBLIC ::   ahi0   = 350._wp      !: sea-ice hor. eddy diffusivity coeff. (m2/s)
-   REAL(wp), PUBLIC ::   alphaevp = 1._wp      !: coefficient for the solution of EVP int. stresses
+   !                                                   !!* namicerun read in iceini  *
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in     !: suffix of ice restart name (input)
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out    !: suffix of ice restart name (output)
+   LOGICAL               , PUBLIC ::   ln_limdyn        !: flag for ice dynamics (T) or not (F)
+   LOGICAL               , PUBLIC ::   ln_limdmp        !: Ice damping
+   REAL(wp)              , PUBLIC ::   hsndif           !: snow temp. computation (0) or not (9999)
+   REAL(wp)              , PUBLIC ::   hicdif           !: ice  temp. computation (0) or not (9999)
+   REAL(wp), DIMENSION(2), PUBLIC ::   acrit            !: minimum lead fraction in the 2 hemisphere
+   !
+   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.     !: flag grid points output (T) or not (F)
+   !                                !!* ice-dynamic namelist (namicedyn) *
+   INTEGER , PUBLIC ::   nbiter      !: number of sub-time steps for relaxation
+   INTEGER , PUBLIC ::   nbitdr      !: maximum number of iterations for relaxation
+   INTEGER , PUBLIC ::   nevp        !: number of EVP subcycling iterations
+   INTEGER , PUBLIC ::   telast      !: timescale for EVP elastic waves
+   REAL(wp), PUBLIC ::   epsd        !: tolerance parameter for dynamic
+   REAL(wp), PUBLIC ::   alpha       !: coefficient for semi-implicit coriolis
+   REAL(wp), PUBLIC ::   dm          !: diffusion constant for dynamics
+   REAL(wp), PUBLIC ::   om          !: relaxation constant
+   REAL(wp), PUBLIC ::   resl        !: maximum value for the residual of relaxation
+   REAL(wp), PUBLIC ::   cw          !: drag coefficient for oceanic stress
+   REAL(wp), PUBLIC ::   angvg       !: turning angle for oceanic stress
+   REAL(wp), PUBLIC ::   pstar       !: first bulk-rheology parameter
+   REAL(wp), PUBLIC ::   c_rhg       !: second bulk-rhelogy parameter
+   REAL(wp), PUBLIC ::   etamn       !: minimun value for viscosity
+   REAL(wp), PUBLIC ::   creepl      !: creep limit
+   REAL(wp), PUBLIC ::   ecc         !: eccentricity of the elliptical yield curve
+   REAL(wp), PUBLIC ::   ahi0        !: sea-ice hor. eddy diffusivity coeff. (m2/s)
+   REAL(wp), PUBLIC ::   alphaevp    !: coefficient for the solution of EVP int. stresses
 
    REAL(wp), PUBLIC ::   usecc2                !:  = 1.0 / ( ecc * ecc )
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 3901)
@@ -29,8 +29,8 @@
    PRIVATE
 
-   PUBLIC               lim_dia_2          ! called by sbc_ice_lim_2
-
-   INTEGER, PUBLIC ::   ntmoy   = 1 ,   &  !: instantaneous values of ice evolution or averaging ntmoy
-      &                 ninfo   = 1        !: frequency of ouputs on file ice_evolu in case of averaging
+   PUBLIC               lim_dia_2     ! called by sbc_ice_lim_2
+
+   INTEGER, PUBLIC ::   ntmoy  ,   &  !: instantaneous values of ice evolution or averaging ntmoy
+      &                 ninfo         !: frequency of ouputs on file ice_evolu in case of averaging
 
    INTEGER, PARAMETER ::   &  ! Parameters for outputs to files "evolu"
@@ -40,5 +40,5 @@
 
    INTEGER ::   &
-      nfrinf  = 4 ,     &  ! number of variables written in one line 
+      nfrinf ,          &  ! number of variables written in one line 
       nferme ,          &  ! last time step at which the var. are written on file
       nvinfo ,          &  ! number of total variables 
@@ -46,5 +46,5 @@
       naveg                ! number of step for accumulation before averaging
 
-   CHARACTER(len= 8) ::   fmtinf  = '1PE13.5 ' ! format of the output values  
+   CHARACTER(len= 8) ::   fmtinf   ! format of the output values  
    CHARACTER(len=30) ::   fmtw  ,           &  ! formats
       &                   fmtr  ,           &  ! ???
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 3901)
@@ -110,12 +110,5 @@
       ! 1)  initialize fld read structure for input data 
       !     --------------------------------------------
-      ln_limdmp = .false.                 !* set file information (default values)
-      cn_dir    = './'
-      ! (NB: frequency positive => hours, negative => months)
-      !                !    file     ! frequency ! variable ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-      !                !    name     !  (hours)  !  name    !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-      sn_hicif = FLD_N( 'ice_damping ', -1       , 'hicif'  ,  .true.    , .true.  ,  'yearly'   ,  ''      ,  ''      )
-      sn_frld  = FLD_N( 'ice_damping ', -1       , 'frld'   ,  .true.    , .true.  ,  'yearly'   ,  ''      ,  ''      )
-                    
+                  
       REWIND( numnam_ice_ref )              ! Namelist namice_dmp in reference namelist : Ice restoring
       READ  ( numnam_ice_ref, namice_dmp, IOSTAT = ios, ERR = 901)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 3901)
@@ -34,13 +34,13 @@
    PUBLIC lim_istate_2      ! routine called by lim_init_2.F90
 
-   !!! ** init namelist (namiceini) **
-   LOGICAL  ::   ln_limini = .FALSE.  !: Ice initialization state
-   REAL(wp) ::   ttest     = 2.0      ! threshold water temperature for initial sea ice
-   REAL(wp) ::   hninn     = 0.5      ! initial snow thickness in the north
-   REAL(wp) ::   hginn     = 3.0      ! initial ice thickness in the north
-   REAL(wp) ::   alinn     = 0.05     ! initial leads area in the north
-   REAL(wp) ::   hnins     = 0.1      ! initial snow thickness in the south
-   REAL(wp) ::   hgins     = 1.0      ! initial ice thickness in the south
-   REAL(wp) ::   alins     = 0.1      ! initial leads area in the south
+   !!! **  namelist (namiceini) **
+   LOGICAL  ::   ln_limini   !: Ice initialization state
+   REAL(wp) ::   ttest       ! threshold water temperature for initial sea ice
+   REAL(wp) ::   hninn       ! initial snow thickness in the north
+   REAL(wp) ::   hginn       ! initial ice thickness in the north
+   REAL(wp) ::   alinn       ! initial leads area in the north
+   REAL(wp) ::   hnins       ! initial snow thickness in the south
+   REAL(wp) ::   hgins       ! initial ice thickness in the south
+   REAL(wp) ::   alins       ! initial leads area in the south
    
    REAL(wp) ::   zero      = 0.e0     ! constant value = 0
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 3901)
@@ -38,5 +38,5 @@
    PUBLIC   lim_trp_2   ! called by sbc_ice_lim_2
 
-   REAL(wp), PUBLIC ::   bound  = 0.e0          !: boundary condit. (0.0 no-slip, 1.0 free-slip)
+   REAL(wp), PUBLIC ::   bound      !: boundary condit. (0.0 no-slip, 1.0 free-slip)
 
    REAL(wp)  ::   epsi06 = 1.e-06   ! constant values
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 3901)
@@ -21,22 +21,22 @@
    !! * Share Module variables
    REAL(wp) , PUBLIC ::   & !!! ** ice-thermo namelist (namicethd) **
-      hmelt   = -0.15  ,  &  !: maximum melting at the bottom
-      hicmin  = 0.2    ,  &  !: ice th. corr. to max. ener. in brine pocket
-      hiclim  = 0.05   ,  &  !: minimum ice thickness
-      amax    = 0.999  ,  &  !: maximum lead fraction
-      swiqst  = 1.0    ,  &  !: energy stored in brine pocket (1) or not (0)
-      sbeta   = 1.0    ,  &  !: numerical scheme for diffusion in ice 
-      parlat  = 0.0    ,  &  !: percent. of energy used for lateral ablation
-      hakspl  = 0.5    ,  &  !: slope of distr. for Hakkinen-Mellro's lat. melt
-      hibspl  = 0.5    ,  &  !: slope of distribution for Hibler's lat. melt
-      exld    = 2.0    ,  &  !: exponent for leads-closure rate
-      hakdif  = 1.0    ,  &  !: coefficient for diffusions of ice and snow
-      thth    = 0.2    ,  &  !: thick. for comp. of eq. thermal conduct
-      hnzst   = 0.1    ,  &  !: thick. of the surf. layer in temp. comp.
-      parsub  = 1.0    ,  &  !: switch for snow sublimation or not
-      alphs   = 1.0          !: coef. for snow density when snow-ice formation
+      hmelt            ,  &  !: maximum melting at the bottom
+      hicmin           ,  &  !: ice th. corr. to max. ener. in brine pocket
+      hiclim           ,  &  !: minimum ice thickness
+      amax             ,  &  !: maximum lead fraction
+      swiqst           ,  &  !: energy stored in brine pocket (1) or not (0)
+      sbeta            ,  &  !: numerical scheme for diffusion in ice 
+      parlat           ,  &  !: percent. of energy used for lateral ablation
+      hakspl           ,  &  !: slope of distr. for Hakkinen-Mellro's lat. melt
+      hibspl           ,  &  !: slope of distribution for Hibler's lat. melt
+      exld             ,  &  !: exponent for leads-closure rate
+      hakdif           ,  &  !: coefficient for diffusions of ice and snow
+      thth             ,  &  !: thick. for comp. of eq. thermal conduct
+      hnzst            ,  &  !: thick. of the surf. layer in temp. comp.
+      parsub           ,  &  !: switch for snow sublimation or not
+      alphs                  !: coef. for snow density when snow-ice formation
 
    REAL(wp), PUBLIC, DIMENSION(2)  ::  &  !:   
-      hiccrit = (/0.3,0.3/)  !: ice th. for lateral accretion in the NH (SH) (m)
+      hiccrit                !: ice th. for lateral accretion in the NH (SH) (m)
 
    REAL(wp) , PUBLIC ::   &  !:
